[PATCH 3 of 8 3.26] [debian] Set Section: python for python- binary package

Denis Laxalde denis.laxalde at logilab.fr
Tue Jun 25 16:46:23 CEST 2019


# HG changeset patch
# User Denis Laxalde <denis.laxalde at logilab.fr>
# Date 1561473796 -7200
#      mar. juin 25 16:43:16 2019 +0200
# Branch 3.26
# Node ID 0e12c615aa0b00bfda7f36f07f1a9a2faf9d6ce5
# Parent  112f3c2b6f1ee3466447a010d3ce22b5a19c4dc8
# Available At https://hg.logilab.org/review/cubicweb
#              hg pull https://hg.logilab.org/review/cubicweb -r 0e12c615aa0b
[debian] Set Section: python for python- binary package

This is to fix a Lintian warning.

diff --git a/debian/control b/debian/control
--- a/debian/control
+++ b/debian/control
@@ -21,6 +21,7 @@ X-Python3-Version: >= 3.4
 
 Package: python-cubicweb
 Architecture: all
+Section: python
 Depends:
  ${misc:Depends},
  ${python:Depends},
@@ -107,6 +108,7 @@ Description: the complete CubicWeb frame
 
 Package: python3-cubicweb
 Architecture: all
+Section: python
 Depends:
  ${misc:Depends},
  ${python3:Depends},
@@ -157,6 +159,7 @@ Description: CubicWeb framework (Python 
 
 Package: python-cubicweb-postgresql-support
 Architecture: all
+Section: python
 # postgresql-client packages for backup/restore of non local database
 Replaces: cubicweb-postgresql-support (<< 3.24.0-1~)
 Breaks: cubicweb-postgresql-support (<< 3.24.0-1~)
@@ -175,6 +178,7 @@ Description: postgres support for the Cu
 
 Package: python3-cubicweb-postgresql-support
 Architecture: all
+Section: python
 # postgresql-client packages for backup/restore of non local database
 Depends:
  ${misc:Depends},
@@ -190,6 +194,7 @@ Description: postgres support for the Cu
 
 Package: python-cubicweb-twisted
 Architecture: all
+Section: python
 Depends:
  python-cubicweb (= ${source:Version}),
  python-twisted-web (<< 16.0.0),
@@ -202,6 +207,7 @@ Description: meta package to use Twisted
 
 Package: python-cubicweb-pyramid
 Architecture: all
+Section: python
 Depends:
  python-cubicweb (= ${source:Version}),
  python-pyramid (>= 1.5.0),
@@ -221,6 +227,7 @@ Description: meta package to use Pyramid
 
 Package: python3-cubicweb-pyramid
 Architecture: all
+Section: python
 Depends:
  python3-cubicweb (= ${source:Version}),
  python3-pyramid (>= 1.5.0),



More information about the cubicweb-devel mailing list